% This code if for the book titled: Advanced Digital Signal Processing 
% of Seismic Data by Wail A. Mousa 
% January 1, 2020.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Chapter 3 MATLAB codes %%%
%%% Figure 3.11 Effect of zero padding%%
clear,clc,close all
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
Omg=2*pi*linspace(-0.5,0.5,256);
%% 1
L=4;
n=[0:L-1];
g=ones(1,length(n));
figure,
subplot(3,1,1),stem(n,g,'k')
set(gca,'FontName','Times New Roman')
xlabel('$n$','Interpreter','latex','FontSize',14);
ylabel('$g[n]$','Interpreter','latex','FontSize',14);

G=abs(sin(Omg*L/2)./sin(Omg/2).*exp(-j*Omg*(L-1)/2));
subplot(3,1,2),plot(Omg,G,'k','LineWidth',3)
axis tight
set(gca,'FontName','Times New Roman')
xlabel('$\omega$','Interpreter','latex','FontSize',14);
ylabel('$G(\omega)$','Interpreter','latex','FontSize',14);

N=4;
l=-N/2:N/2;
Gl=fftshift(abs(fft(g,N)));
subplot(3,1,3),stem(l,[Gl,0],'k')
axis tight
set(gca,'FontName','Times New Roman')
xlabel('$l$','Interpreter','latex','FontSize',14);
ylabel('$G[l]$','Interpreter','latex','FontSize',14);


%% 1
L=4;
n=[0:20];
g=zeros(1,length(n));
g(n>=0 & n<=L-1)=1;
figure,
subplot(3,1,1),stem(n,g,'k')
set(gca,'FontName','Times New Roman')
xlabel('$n$','Interpreter','latex','FontSize',14);
ylabel('$g[n]$','Interpreter','latex','FontSize',14);

G=abs(sin(Omg*L/2)./sin(Omg/2).*exp(-j*Omg*(L-1)/2));
subplot(3,1,2),plot(Omg,G,'k','LineWidth',3)
axis tight
set(gca,'FontName','Times New Roman')
xlabel('$\omega$','Interpreter','latex','FontSize',14);
ylabel('$G(\omega)$','Interpreter','latex','FontSize',14);

N=20;
l=-N/2:N/2;
Gl=fftshift(abs(fft(g,N)));
subplot(3,1,3),
stem(l,[Gl,0],'k')
axis tight
set(gca,'FontName','Times New Roman')
xlabel('$l$','Interpreter','latex','FontSize',14);
ylabel('$G[l]$','Interpreter','latex','FontSize',14);


%% 1
L=10;
n=[0:50];
g=zeros(1,length(n));
g(n>=0 & n<=L-1)=1;
figure,
subplot(3,1,1),stem(n,g,'k')
set(gca,'FontName','Times New Roman')
xlabel('$n$','Interpreter','latex','FontSize',14);
ylabel('$g[n]$','Interpreter','latex','FontSize',14);

G=abs(sin(Omg*L/2)./sin(Omg/2).*exp(-j*Omg*(L-1)/2));
subplot(3,1,2),plot(Omg,G,'k','LineWidth',3)
axis tight
set(gca,'FontName','Times New Roman')
xlabel('$\omega$','Interpreter','latex','FontSize',14);
ylabel('$G(\omega)$','Interpreter','latex','FontSize',14);

N=50;
l=-N/2:N/2;
Gl=fftshift(abs(fft(g,N)));
subplot(3,1,3),stem(l,[Gl,0],'k')
axis tight
set(gca,'FontName','Times New Roman')
xlabel('$l$','Interpreter','latex','FontSize',14);
ylabel('$G[l]$','Interpreter','latex','FontSize',14);



