% This code if for the book titled: Advanced Digital Signal Processing 
% of Seismic Data by Wail A. Mousa 
% January 1, 2020.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Chapter 3 MATLAB codes %%%
%%% Figure 3.17a and 3.17b Many frequencies with a dip%%
clear,clc,close all
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

nt=501;
nx=30;

dx=10;
dt=2E-3;
F=0:0.5:50;
t=[0:nt-1]*dt;
x=[0:nx-1]*dx;
v=1500;
Kx=F/v;
seis=zeros(nt,nx);

l=1;
for i=1:length(F)
    if l>=5
        seis=seis+disturbance_fn(Kx(i),F(i),x,t,nt,nx);
    end
        l=l+1;
end




figure,mwigb(seis,2,x,t)
xlabel('Offset (m)','FontName','Times','FontSize',14)
ylabel('Time (s)','FontName','Times','FontSize',14)
set(gcf,'PaperPositionMode','auto')

[seis_fk,f,kx]=fk(seis,dt,dx);
f=f(length(f):-1:1);
seis_fk=fftshift(seis_fk);
figure,imagesc(kx,f,abs(seis_fk)),colormap(sgray)
axis([min(kx),max(kx),0,2*max(F)])
xlabel('$\grave{k}$ (1/m)','Interpreter','latex','FontSize',14)
ylabel('$f$ (Hz)','Interpreter','latex','FontSize',14)
grid
x=10;y=10;%starting screen position
w=300;%figure width
h=600;%figure hieght
set(gcf,'position',[x y w h]);
% Putting the spatial axis in the top of the figure 
set(gca,'xaxislocation','top')
set(gcf,'PaperPositionMode','auto')



