% This code if for the book titled: Advanced Digital Signal Processing 
% of Seismic Data by Wail A. Mousa 
% January 1, 2020.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Chapter 3 MATLAB codes %%%
%%% Figure 3.17c and 3.17d Many frequencies with dips%%
clear,clc,close all
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



load('Test_model_dip0_0_30_50_60_70_80events.mat')

[nt,nx]=size(seis1);

figure,mwigb(seis1,2,x,t)
xlabel('Offset (m)','FontName','Times','FontSize',14)
ylabel('Time (s)','FontName','Times','FontSize',14)
set(gcf,'PaperPositionMode','auto')


[seis_fk,f,kx]=fk(seis1,dt,dx,2*nt,4*nx);
f=f(length(f):-1:1);
seis_fk=fftshift(seis_fk);
figure,imagesc(kx,f,abs(seis_fk)),colormap(sgray)
axis([min(kx),max(kx),0,1/(2*dt)])
xlabel('$\grave{k}$ (1/m)','Interpreter','latex','FontSize',14)
ylabel('$f$ (Hz)','Interpreter','latex','FontSize',14)

x=10;y=10;%starting screen position
w=300;%figure width
h=600;%figure hieght
set(gcf,'position',[x y w h]);
% Putting the spatial axis in the top of the figure 
set(gca,'xaxislocation','top')
set(gcf,'PaperPositionMode','auto')



