% This code if for the book titled: Advanced Digital Signal Processing 
% of Seismic Data by Wail A. Mousa 
% January 1, 2020.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Chapter 3 MATLAB codes %%%
%%% Figure 3.20 a reflection%%
clear,clc,close all
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load Syn_Reflection_data
[nt,nx]=size(D);


D(t<1.05,:)=0;
figure,mwigb(D,2,offset,t)
xlabel('Offset (m)','FontName','Times','FontSize',14)
ylabel('Time (s)','FontName','Times','FontSize',14)
set(gcf,'PaperPositionMode','auto')


[seis_fk,f,kx]=fk(D,dt,dx,4*nt,4*nx);
f=f(length(f):-1:1);
seis_fk=fftshift(seis_fk);
figure,imagesc(kx,f,abs(seis_fk)),colormap(sgray)
axis([min(kx),max(kx),0,1/(2*dt)])
xlabel('$\grave{k}$ (1/m)','Interpreter','latex','FontSize',14)
ylabel('$f$ (Hz)','Interpreter','latex','FontSize',14)
grid
x=10;y=10;%starting screen position
w=300;%figure width
h=600;%figure hieght
set(gcf,'position',[x y w h]);
% Putting the spatial axis in the top of the figure 
set(gca,'xaxislocation','top')
set(gcf,'PaperPositionMode','auto')

%%%%%%%
%%
Dd=D;
Trace=13;
Dd(:,1:Trace)=0;
figure,mwigb(Dd,2,offset,t)
xlabel('Offset (m)','FontName','Times','FontSize',14)
ylabel('Time (s)','FontName','Times','FontSize',14)
set(gcf,'PaperPositionMode','auto')


[seis_fk,f,kx]=fk(Dd,dt,dx,4*nt,4*nx);
f=f(length(f):-1:1);
seis_fk=fftshift(seis_fk);
figure,imagesc(kx,f,abs(seis_fk)),colormap(sgray)
axis([min(kx),max(kx),0,1/(2*dt)])
xlabel('$\grave{k}$ (1/m)','Interpreter','latex','FontSize',14)
ylabel('$f$ (Hz)','Interpreter','latex','FontSize',14)
grid
x=10;y=10;%starting screen position
w=300;%figure width
h=600;%figure hieght
set(gcf,'position',[x y w h]);
% Putting the spatial axis in the top of the figure 
set(gca,'xaxislocation','top')
set(gcf,'PaperPositionMode','auto')

%%
Dd=D;
Dd(:,Trace+1:30)=0;
figure,mwigb(Dd,2,offset,t)
xlabel('Offset (m)','FontName','Times','FontSize',14)
ylabel('Time (s)','FontName','Times','FontSize',14)
set(gcf,'PaperPositionMode','auto')

[seis_fk,f,kx]=fk(Dd,dt,dx,4*nt,4*nx);
f=f(length(f):-1:1);
seis_fk=fftshift(seis_fk);
figure,imagesc(kx,f,abs(seis_fk)),colormap(sgray)
axis([min(kx),max(kx),0,1/(2*dt)])
xlabel('$\grave{k}$ (1/m)','Interpreter','latex','FontSize',14)
ylabel('$f$ (Hz)','Interpreter','latex','FontSize',14)
grid
x=10;y=10;%starting screen position
w=300;%figure width
h=600;%figure hieght
set(gcf,'position',[x y w h]);
% Putting the spatial axis in the top of the figure 
set(gca,'xaxislocation','top')
set(gcf,'PaperPositionMode','auto')


