% This code if for the book titled: Advanced Digital Signal Processing 
% of Seismic Data by Wail A. Mousa 
% January 1, 2020.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Chapter 3 MATLAB codes %%%
%%% Figure 3.21 a diffraction%%
clear,clc,close all
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load Syn_diffraction

scale=1;
mwigb(seis(:,1:4:nx),scale,x(:,1:4:nx),t);
xlabel('Offset(m)','FontName','Times','FontSize',14)
ylabel('Time(s)','FontName','Times','FontSize',14)
set(gca,'xaxislocation','top')
set(gcf,'PaperPositionMode','auto')


%Frequency-wavenumber (f-kx) representation of the data
[Data_fk,f,kx]=fk(seis,dt,dx,2*nt,4*nx);
%Plotting the magnitude spectrum in dB of the seismic f-kx representation
figure,
imagesc(kx,f,((fftshift(abs(Data_fk)))))
axis ij;
colormap(sgray)
colorbar
xlabel('$\grave{k}$ (1/m)','Interpreter','latex','FontSize',14)
ylabel('$f$ (Hz)','Interpreter','latex','FontSize',14)
set(gca,'xaxislocation','top')
axis([min(kx),max(kx),0,max(f)])%Diplaying +ve frequencies
x=10;y=10;%starting screen position
w=300;%figure width
h=600;%figure hieght
set(gcf,'position',[x y w h]);
set(gcf,'PaperPositionMode','auto')



