% This code if for the book titled: Advanced Digital Signal Processing 
% of Seismic Data by Wail A. Mousa 
% January 1, 2020.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Chapter 3 MATLAB codes %%%
%%% Figure 3.1 and 3.2 Elementary signals%%
clear,clc,close all
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure
n = [-6:6];
xn=zeros(length(n));
xn(n==0) = 1;
stem(n,xn,'k')
set(gca,'FontName','Times New Roman')
xlabel('$n$','Interpreter','latex','FontSize',14);
ylabel('$\delta [n]$','Interpreter','latex','FontSize',14);

figure
xn = zeros(1,15);
xn(8:15) = 1;
stem(-7:7,xn,'k')
set(gca,'FontName','Times New Roman')
xlabel('$n$','Interpreter','latex','FontSize',14);
ylabel('$u[n]$','Interpreter','latex','FontSize',14);

figure
xn = zeros(1,15);
xn(8:15) = (0:7);
stem(-7:7,xn,'k')
set(gca,'FontName','Times New Roman')
xlabel('$n$','Interpreter','latex','FontSize',14);
ylabel('$u_r[n]$','Interpreter','latex','FontSize',14);

figure
n = 1:30;
a = 1/2;
xn = a.^n;
stem(n,xn,'k')
set(gca,'FontName','Times New Roman','FontSize',14)
xlabel('$n$','Interpreter','latex','FontSize',14);
ylabel('$x[n]$','Interpreter','latex','FontSize',14);

figure
n = 1:30;
a = 2;
xn = a.^n;
stem(n,xn,'k')
set(gca,'FontName','Times New Roman')
xlabel('$n$','Interpreter','latex','FontSize',14);
ylabel('$x[n]$','Interpreter','latex','FontSize',14);

figure
n = 1:30;
a = -1/2;
xn = a.^n;
stem(n,xn,'k')
set(gca,'FontName','Times New Roman')
xlabel('$n$','Interpreter','latex','FontSize',14);
ylabel('$x[n]$','Interpreter','latex','FontSize',14);

figure
n = 1:30;
a = -2;
xn = a.^n;
stem(n,xn,'k')
set(gca,'FontName','Times New Roman')
xlabel('$n$','Interpreter','latex','FontSize',14);
ylabel('$x[n]$','Interpreter','latex','FontSize',14);


figure
xn = zeros(1,5);
xn(3:4) = [0.8 -0.6];
stem(-2:2,xn,'k')
axis([-2,2,-1,1])
set(gca,'FontName','Times New Roman')
set(gca,'XTick',[-2:2])
text(0.07,.8,'$w[0]$','Interpreter','latex','FontSize',14);
text(1.07,-0.6,'$w[1]$','Interpreter','latex','FontSize',14);
xlabel('$n$','Interpreter','latex','FontSize',14);
ylabel('$w[n]$','Interpreter','latex','FontSize',14);